<template>
  <div v-if="showFeedback" id="feedback-banner">
    <v-banner v-model="showFeedback" app sticky class="mt-n6" color="#FBFBFD" single-line>
      <!-- Icon slot -->
      <template #icon>
        <v-avatar v-if="!$vuetify.breakpoint.mobile" size="40">
          <v-icon color="primary">mdi-pencil-circle</v-icon>
        </v-avatar>
      </template>
      <!-- Default slot -->
      <template v-if="!$vuetify.breakpoint.mobile">
        {{ $t('feedback.info') }}
      </template>
      <template v-else>
        <v-row>
          <v-col align="center">
            <v-btn text color="primary" to="/contact"> {{ $t('feedback.give') }} </v-btn>
          </v-col>
          <v-spacer />
          <v-col align="center">
            <v-btn text color="primary" @click="showFeedback = false"> {{ $t('feedback.no') }}</v-btn>
          </v-col>
        </v-row>
      </template>
      <!-- Actions slot -->
      <template v-if="!$vuetify.breakpoint.mobile" #actions>
        <v-btn text color="primary" to="/contact"> {{ $t('feedback.give') }} </v-btn>
        <v-btn text color="primary" @click="showFeedback = false"> X </v-btn>
      </template>
    </v-banner>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@nuxtjs/composition-api'

export default defineComponent({
  setup() {
    const showFeedback = ref(true)
    return { showFeedback }
  },
})
</script>

<style lang="scss" scoped>
#feedback-banner {
  background-color: $background;
  border-bottom: thin solid rgba(0, 0, 0, 0.12);
}

#feedback-banner > * {
  max-width: $max-content-width;
  margin-left: auto;
  margin-right: auto;
}

::v-deep .v-banner__wrapper {
  border: none !important;
  padding-top: 16px !important;
  padding-bottom: 12px !important;
}
</style>
